/* This module contains all common components for all landing pages */

import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';

import {MetricsComponent} from './metrics.component';
import {MetricsService} from '../../../services/metrics.service';

import {ErrorMessagesModule} from '../../../utils/errorMessages.module';
import {IFrameModule} from "../../../utils/iframe.module";
import {IconsModule} from "../../../utils/icons/icons.module";

@NgModule({
  imports: [
    CommonModule, FormsModule, ErrorMessagesModule, IFrameModule, IconsModule
  ],
  declarations: [
    MetricsComponent
  ],
  providers:[
    MetricsService
   ],
  exports: [
    MetricsComponent
  ]
})
export class MetricsModule { }
