/* This module contains all common components for Publication & Daasets Landing Pages */
import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';
import { RouterModule } from '@angular/router';
import {PagingModule} from '../../utils/paging.module';
import {ShowIdentifiersComponent} from './showIdentifiers.component';
import {ShowSubjectsComponent} from './showSubjects.component';
import {FundedByComponent} from './fundedBy.component';
import {AvailableOnComponent} from './availableOn.component';
import {TabTableComponent} from './tabTable.component';
import {ShowPublisherComponent} from "./showPublisher.component";
import {ShowPublisherModule} from "./showPublisher.module";
import {RelatedToComponent} from "./relatedTo.component";
import {FosComponent} from "./fos.component";
import {SdgComponent} from "./sdg.component";
import {IconsModule} from "../../utils/icons/icons.module";
import {AlertModalModule} from "../../utils/modal/alertModal.module";


@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule, PagingModule, ShowPublisherModule, IconsModule, AlertModalModule
  ],
  declarations: [
    ShowIdentifiersComponent,ShowSubjectsComponent,
    FundedByComponent,AvailableOnComponent,TabTableComponent,
    RelatedToComponent, FosComponent, SdgComponent
  ],
  providers:[
  ],
  exports: [
    ShowIdentifiersComponent, ShowSubjectsComponent,
    FundedByComponent,AvailableOnComponent, TabTableComponent, ShowPublisherComponent,
    RelatedToComponent, FosComponent, SdgComponent
  ]
})
export class ResultLandingUtilsModule { }
