import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {MethodologyComponent} from "./methodology.component";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../../utils/piwik/previousRouteRecorder.guard";
import {PageContentModule} from "../../dashboard/sharedComponents/page-content/page-content.module";
import {HowModule} from "../../monitor/how/how.module";
import {TabsModule} from "../../utils/tabs/tabs.module";
import {IconsModule} from "../../utils/icons/icons.module";
import {IconsService} from "../../utils/icons/icons.service";
import {graph} from "../../utils/icons/icons";

@NgModule({
  declarations: [MethodologyComponent],
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      component: MethodologyComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
  ]), PageContentModule, HowModule, TabsModule, IconsModule],
  exports: [MethodologyComponent]
})
export class MethodologyModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([graph]);
  }
}
